DBLINK_IS_BUSY(3)

NAME
dblink_is_busy - checks if connection is busy with an async query

SYNOPSIS

dblink_is_busy(text connname) returns int

DESCRIPTION

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

dblink_is_busy tests whether an async query is in progress.

ARGUMENTS

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

conname
    Name of the connection to check.

RETURN VALUE

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

Returns 1 if connection is busy, 0 if it is not busy. If this function returns 0, it is guaranteed that dblink_get_result will not block.

EXAMPLES

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

    SELECT dblink_is_busy('dtest1');